require_relative '../ezproxy_providers'

class EzproxyProviders::LexisNexis
  def self.parse (path, params)

    data = {
      "provider" => "lexisnexis"
    }

    if (/\/droit\/results\/docview\/docview/.match(path))

      if (params.key?("risb"))
        data["title_id"] = params["risb"][0]
        data["unit_id"] = params["risb"][0]
      end

      if (params.key?("format"))
        case params["format"][0]
          when 'GNBFULL'
            data["rtype"] = 'ARTICLE'
            data["mime"] = 'HTML'
          when 'AUTRECAS' 
            data["rtype"] = 'ARTICLE'
            data["mime"] = 'HTML'
        end
      end
      
    end
    
    return data
  end
end