require_relative '../ezproxy_providers'

class EzproxyProviders::ProquestSearch
  def self.parse (path, params)

    data = {
      "provider" => "proquest"
    }

    if params.key?('t:ac')
      data['unit_id'] = params['t:ac'][0]
      data['title_id'] = params['t:ac'][0]
    end

    if (match = /\/docview\/([0-9]+)\//i.match(path))
      data['unit_id'] = match[1]
      data['title_id'] = match[1]

      if /fulltextpdf/i.match(path)
        data['mime'] = 'PDF'
      end
    end

    return data

  end
end