require 'uri'
require 'cgi'

module URLParser
  def URLParser.parse (input)
    begin
      uri = URI(input)
      path = URI::unescape(uri.path)
      params = {}
      if (uri.query)
          params = CGI::parse(uri.query)
      end
      return {
        "uri" => uri,
        "path" => path,
        "params" => params
      }
    rescue
      # puts input
      return {}
    end
  end
end