require_relative '../ezproxy_providers'

class EzproxyProviders::MyILibrary
  def self.parse (path, params)

    data = {
      "provider" => "myilibrary"
    }

    if (/\/Open\.aspx/.match(path) || /\/browse\/open\.asp/i.match(path) || /^\/$/.match(path))
      if params.key?('id')
        data['title_id'] = params['id'][0]
        data['unit_id'] = params['id'][0]
        data['rtype'] = 'BOOK'
        data['mime'] = 'MISC'
      end

    elsif (/\/Viewer\/getImage\_Servlet\.aspx/i.match(path))
      data['rtype'] = 'BOOK_PAGE'
      if params.key?('codec')
        data['mime'] = params['codec'][0].upcase
      end

    elsif (/\/Viewer\/get[DP]MP\_Servlet\.aspx/i.match(path))
      data['rtype'] = 'BOOK_PAGE'
      data['mime'] = params['t'][0]

    end

    return data

  end
end