module Mime
  def Mime.parse (path)
    data = {}
    if (match = /(\/?.*)\/(.*)\.js/i.match(path))
      data['mime'] = 'JS'
      data['res_name'] = match[2]
    elsif (match = /(\/?.*)\/(.*)\.css/i.match(path))
      data['mime'] = 'CSS'
      data['res_name'] = match[2]
    elsif (match = /(\/?.*)\/(.*)\.gif/i.match(path))
      data['mime'] = 'GIF'
      data['res_name'] = match[2]
    elsif (match = /(\/?.*)\/(.*)\.png/i.match(path))
      data['mime'] = 'PNG'
      data['res_name'] = match[2]
    elsif (match = /(\/?.*)\/(.*)\.jpg/i.match(path))
      data['mime'] = 'JPG'
      data['res_name'] = match[2]
    elsif (match = /(\/?.*)\/(.*)\.ico/i.match(path))
      data['mime'] = 'ICO'
      data['res_name'] = match[2]
    elsif (match = /(\/?.*)\/(.*)\.svg/i.match(path))
      data['mime'] = 'SVG'
      data['res_name'] = match[2]
    elsif (match = /(\/?.*)\/(.*)\.ttf/i.match(path))
      data['mime'] = 'TTF'
      data['res_name'] = match[2]
    elsif (match = /(\/?.*)\/(.*)\.txt/i.match(path))
      data['mime'] = 'TXT'
      data['res_name'] = match[2]
    elsif (match = /(\/?.*)\/(.*)\.woff/i.match(path))
      data['mime'] = 'WOFF'
      data['res_name'] = match[2]
    end

    return data
  end
end